* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --dark-bg: #252936;
    --primary: #ff5555;
}

body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    text-align: center;
}

h1,
h2 {
    color: var(--primary);
    text-align: center;
    margin-bottom: 30px;
}

h2 {
    font-size: 2rem;
}

input,
button,
.fake-button {
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 8px;
    font-weight: 600;
    border: none;
    text-decoration: none;
    outline: none;
    font-family: inherit;
}

.fill-btn {
    background-color: var(--primary);
    color: #fff;
}

.outline-btn {
    background-color: #121212;
    border: 2px solid var(--primary);
    color: var(--primary);
}

button {
    cursor: pointer;
}

html,
body {
    height: 100%;
    background-color: #121212;
    color: #ffffff;
}

button:hover,
.fake-button:hover {
    background-color: hsl(0, 100%, 44%);
    color: #fff;
}

.outline-btn:hover {
    border: 2px solid hsl(0, 100%, 44%);
}

.fill-btn:disabled,
.fill-btn:disabled:hover {
    background-color: #252936;
    cursor: default;
    color: #121212;
}

.outline-btn:disabled,
.outline-btn:disabled:hover {
    border: 2px solid #252936;
    color: #252936;
    cursor: default;
    background-color: #121212;
}

h1 {
    color: var(--primary);
}

input {
    background-color: var(--dark-bg);
    color: #fff;
}

dialog {
    background-color: var(--dark-bg);
    color: #fff;
    text-align: left;
}

.rules {
    padding: 50px 15%;
}

.rules p,
.rules li {
    line-height: 1.75;
    text-align: left;
}

.rules ul {
    list-style: none;
}

ul ul>li {
    margin-left: 60px;
    color: #BBB;
}

ul ul>li::before {
    content: "💠";
}

p.closing-msg {
    color: #BBB;
    font-style: italic;
    font-weight: 600;
}

.suit {
    font-size: 26px;
}

.highlight {
    color: var(--primary);
    font-weight: 700;
}

.rules-ps {
    margin: 20px 50px;
    padding: 10px 20px;
    border: 1px solid var(--primary);
    border-radius: 8px;
}

.rules-ps p {
    margin: 5px 0;
    padding: 0;
}

.start-btns {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.rules-footer {
    padding-bottom: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.room {
    display: grid;
    grid-template: repeat(2, 160px) 1fr / repeat(2, 110px);
    gap: 20px;
    justify-items: center;
    justify-content: center;
    align-items: center;
    grid-row: span 2;
}

button.entity {
    width: 110px;
    height: 160px;
    background-color: #0b0b0b;
    /* color: #5c5d60;
    border: 2px solid var(--dark-bg); */
    border: 2px solid #FFF;
    color: #fff;
    position: relative;
    font-family: 'Courier New', Courier, monospace
}

button.entity:hover {
    background-color: #252936;
    box-shadow: 0px 2px 8px hsl(0, 100%, 44%);
    border: 2px solid var(--primary);
    color: var(--primary);
}

button.entity-selected {
    color: var(--primary);
    box-shadow: 0px 2px 8px hsl(0, 100%, 44%);
    border: 2px solid var(--primary);
}

button.entity:disabled {
    color: #5c5d60;
    border: 2px solid var(--dark-bg);
    background-color: #0b0b0b;
    cursor: default;
    box-shadow: none;
}

.game-layout {
    display: grid;
    grid-template: 1fr min-content / repeat(2, 300px);
    justify-content: center;
    padding: 20px;
    gap: 20px 10px;
}

.selected {
    align-self: center;
    background-color: #0b0b0b;
    padding: 20px;
    border-radius: 8px;
    border: 2px solid var(--primary);
    display: grid;
    grid-template: min-content 65px/ 1fr 1fr;
    /* height: 125px; */
    gap: 10px;
}

.entity-name {
    align-self: center;
    font-size: 18px;
    font-weight: bold;
}

.entity-value {
    font-style: italic;
    align-self: center;
}

.dungeon-info {
    text-align: left;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.score-value,
.player-name {
    font-size: 20px;
    font-weight: 600;
    color: var(--primary);
    margin: 0;
    text-align: left;
    padding-left: 20px;
}

.card-suit {
    font-size: 30px;
}

.card-rank {
    font-size: 24px;
    color: inherit;
    position: absolute;
}

.top {
    left: 7.5%;
    top: 3%;
}

.bottom {
    right: 7.5%;
    bottom: 3%;
}

.health-container {
    display: grid;
    grid-template: 1fr 45px / 45px 1fr;
    justify-items: center;
    align-items: center;
    column-gap: 10px;
}

.bar-bg {
    height: 40px;
    border: 3px solid #252936;
    background-color: #121212;
    border-radius: 8px;
    width: 100%;
    position: relative;
}

.health-bar {
    height: 100%;
    border-radius: 8px;
    background-image: linear-gradient(90deg,
            hsl(0deg 100% 29%) 0%,
            hsl(0deg 100% 32%) 8%,
            hsl(0deg 100% 35%) 17%,
            hsl(0deg 100% 38%) 25%,
            hsl(0deg 100% 43%) 33%,
            hsl(0deg 100% 48%) 42%,
            hsl(0deg 100% 53%) 50%,
            hsl(0deg 100% 55%) 58%,
            hsl(0deg 100% 58%) 67%,
            hsl(0deg 100% 61%) 75%,
            hsl(0deg 100% 63%) 83%,
            hsl(0deg 100% 65%) 92%,
            hsl(0deg 100% 67%) 100%);
}

.label {
    font-size: 15px;
    color: #BBB;
    justify-self: start;
    padding-left: 10px;
}

.completed-value,
.health-value {
    position: absolute;
    width: 100%;
    text-align: center;
    font-weight: 600;
    top: 15%;
}

.weapon-icon,
.health-icon {
    grid-row: span 2;
}

.icon {
    font-size: 24px;
    border-radius: 50%;
    background-color: #0b0b0b;
    border: 2px solid var(--primary);
    width: 45px;
    aspect-ratio: 1;
    padding: 4px;
}

.weapon-container {
    display: grid;
    grid-template: repeat(2, 1fr) / 45px min-content 1fr;
    justify-items: center;
    align-items: center;
    gap: 10px;
}

.weapon-value {
    font-size: 20px;
    color: var(--primary);
    font-weight: 600;
}

.weapon-durability {
    width: 100%;
    background-color: #252936;
    height: 100%;
    border-radius: 8px;
    padding: 5px;
    font-size: 18px;
    font-weight: 600;
    color: #BBB;
}

.completed-bar {
    height: 100%;
    border-radius: 8px;
    background-image: linear-gradient(90deg,
            hsl(100deg 4% 48%) 0%,
            hsl(101deg 16% 50%) 17%,
            hsl(103deg 30% 51%) 33%,
            hsl(103deg 45% 52%) 50%,
            hsl(103deg 60% 51%) 67%,
            hsl(104deg 75% 52%) 83%,
            hsl(103deg 92% 50%) 100%);
}

.game-over {
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    /* text-align: center; */
    align-items: center;
}